declare type TestLib = {
    renderHook: typeof renderHook;
    act: typeof act;
};
export declare function setTestImplementation(lib: TestLib): void;
declare type Result<T> = {
    current: T;
};
declare type RenderHookReturn<P, R> = {
    result: Result<R>;
    rerender: (props?: P) => void;
    waitForNextUpdate: (options?: {
        timeout?: number | false;
    }) => Promise<void>;
    waitFor: (callback: () => boolean | void, options?: {
        interval?: number | false;
        timeout?: number | false;
    }) => Promise<void>;
    waitForValueToChange: (selector: () => any, options?: {
        interval?: number | false;
        timeout?: number | false;
    }) => Promise<void>;
    unmount: () => void;
};
declare type RenderHookReturnVoid<R> = {
    result: Result<R>;
    rerender: () => void;
    waitForNextUpdate: (options?: {
        timeout?: number | false;
    }) => Promise<void>;
    waitFor: (callback: () => boolean | void, options?: {
        interval?: number | false;
        timeout?: number | false;
    }) => Promise<void>;
    waitForValueToChange: (selector: () => any, options?: {
        interval?: number | false;
        timeout?: number | false;
    }) => Promise<void>;
    unmount: () => void;
};
export declare function renderHook<P, R>(hook: (props: P) => R, options: {
    initialProps: P;
}): RenderHookReturn<P, R>;
export declare function renderHook<P, R>(hook: () => R): RenderHookReturnVoid<R>;
export declare function act(cb: () => Promise<void | undefined>): Promise<undefined>;
export declare function act(cb: () => void | undefined): void;
export {};
//# sourceMappingURL=index.d.ts.map